Bug 332950 - Exchange meeting invitations: multipart/alternative with a text/calendar
Summary: Exchange meeting invitations: multipart/alternative with a text/calendar
Status: RESOLVED FIXED
Alias: None
Product: trojita
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Trojita default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-02 08:35 UTC by Jan Kundrát
Modified: 2014-04-03 12:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Kundrát 2014-04-02 08:35:41 UTC
Seems that at least one Exchange instance in the world sends meeting invitation like this:

* multipart/alternative
  + text/plain
  + text/html
  + textcalendar

This is of course wrong because the RFC clearly states that a multipart/alternative has parts which should be equal. A machine-readable meeting invitation is a very different beast from a free text input.

The GUI should probably make it clearer that an actual meeting invitation (with all those boring details like when it starts, which was of course absent from the free-form text) is attached. Oh well. Exchange, so nice to meet you.
Comment 1 Jan Kundrát 2014-04-03 12:53:42 UTC
Git commit 87bf9b4df4ef4c03e56503773e2b828bbb3ca66d by Jan Kundrát.
Committed on 02/04/2014 at 14:16.
Pushed by jkt into branch 'master'.

GUI: show a warning for "unknown" multipart/alternative parts

v2: Also provide simple captions for text/plain and text/html MIME types, and
simplify the code by calling setTabIcon instead of repeating the call to
addTab().
REVIEW: 117335

M  +22   -0    src/Gui/PartWidget.cpp

http://commits.kde.org/trojita/87bf9b4df4ef4c03e56503773e2b828bbb3ca66d